commit:     be888ef802411c0db150f2fdf7116989668cd691
Author:     Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 12 22:39:58 2016 +0000
Commit:     Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Tue Jul 12 22:40:12 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=be888ef8

games-action/moon-buggy: remove deprecated games eclass

Also update to EAPI 6

Gentoo-Bug: https://bugs.gentoo.org/574082

Package-Manager: portage-2.3.0

 .../moon-buggy/moon-buggy-1.0.51-r1.ebuild         | 46 ++++++++++++++++++++++
 1 file changed, 46 insertions(+)

diff --git a/games-action/moon-buggy/moon-buggy-1.0.51-r1.ebuild 
b/games-action/moon-buggy/moon-buggy-1.0.51-r1.ebuild
new file mode 100644
index 0000000..e46b34d
--- /dev/null
+++ b/games-action/moon-buggy/moon-buggy-1.0.51-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit autotools eutils user
+
+DESCRIPTION="A simple console game, where you drive a car across the moon's 
surface"
+HOMEPAGE="http://www.seehuhn.de/comp/moon-buggy.html";
+SRC_URI="http://www.seehuhn.de/data/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+IUSE=""
+
+RDEPEND="sys-libs/ncurses:0"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig"
+
+pkg_setup(){
+       enewgroup gamestat 36
+}
+
+src_prepare() {
+       default
+       sed -i \
+               -e '/$(DESTDIR)$(bindir)\/moon-buggy -c/d' \
+               Makefile.am || die
+       rm -f missing
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --sharedstatedir="/var/games" \
+               --with-curses-libs="$(pkg-config ncurses --libs)"
+}
+
+src_install() {
+       default
+       touch "${D}/var/games/${PN}/mbscore"
+       fowners root:gamestat /usr/bin/${PN} /var/games/${PN} 
/var/games/${PN}/mbscore
+       fperms 2755 /usr/bin/${PN}
+       fperms 664 /var/games/${PN}/mbscore
+}

Reply via email to